<?php

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

$_MAMBOTS->registerFunction( 'onPrepareContent', 'botMosReg' );


function botMosReg( $published, &$row, &$params, $page=0 ) {
	// define the regular expression for the bot 
if ( strpos( $row->text, 'mosregread' ) === false ) {
		return true;
	}
	$regex = "#{mosregread}(.*?){/mosregread}#s";
	if (!$published) {
		$row->text = preg_replace( $regex, '', $row->text );
		return;
	}
	// perform the replacement
	$row->text = preg_replace_callback( $regex, 'botMosReg_replacer', $row->text );
	return true;
}

function botMosReg_replacer( &$matches ) {
	global  $my,$_MAMBOTS,$database; 

	if ( !isset($_MAMBOTS->_content_mambot_params['mosregread']) ) {
		// load mambot params info
		$query = "SELECT params"
		. "\n FROM #__mambots"
		. "\n WHERE element = 'mosregread'"
		. "\n AND folder = 'content'"
		;
		$database->setQuery( $query );
		$database->loadObject($mambot);
		
		// save query to class variable
		$_MAMBOTS->_content_mambot_params['mosregread'] = $mambot;
	}

	// pull query data from class variable
	$mambot = $_MAMBOTS->_content_mambot_params['mosregread'];
	
	$botParams = new mosParameters( $mambot->params );

	$showinfo	= $botParams->def( 'showinfo' );
 
	$rstyle	= $botParams->def( 'rstyle' );
 

if ( $my->id ) {
$text=$matches[1];
}else{ 
	$text ='<div style=" '.$rstyle.'">'.$showinfo.'</div>' ;
	}
	return $text;
}
?>